首页 -> 安全研究

安全研究

安全漏洞
OpenJPEG 堆缓冲区溢出漏洞(CVE-2018-16375)

发布日期:2018-09-03
更新日期:2018-09-04

受影响系统:
OpenJPEG OpenJPEG 2.3.0
描述:
CVE(CAN) ID: CVE-2018-16375

OpenJPEG是一款基于C语言的开源JPEG 2000编码解码器。

OpenJPEG 2.3.0版本,bin/jpwl/convert.c文件存在基于堆的缓冲区溢出漏洞,该漏洞源于程序未检查‘pnmtoimage’函数中的header_info.height和header_info.width。攻击者可利用该漏洞导致堆缓冲区溢出。

<*来源:vendor
  *>

建议:
厂商补丁:

OpenJPEG
--------
目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:

https://github.com/uclouvain/openjpeg

参考:
https://github.com/uclouvain/openjpeg/issues/1126

浏览次数:576
严重程度:0(网友投票)
本安全漏洞由绿盟科技翻译整理,版权所有,未经许可,不得转载
绿盟科技给您安全的保障